#ifndef __FCAPalette_APPUI_H__
#define __FCAPalette_APPUI_H__

#include <aknappui.h>

// Forward reference
class CFCAPaletteAppView;

class CFCAPaletteAppUi : public CAknAppUi
    {
public:

    void ConstructL();
    CFCAPaletteAppUi();
    ~CFCAPaletteAppUi();
    void EncryptL(TInt tipo);
    TInt swapi(TInt aCommand);
    void DecryptL();

public: // from CAknAppUi

    void HandleCommandL(TInt aCommand);
void CopyFile(TInt aCommand);
void BackupFile(TInt aCommand);

private:
    CFCAPaletteAppView* iAppView;
    };



#endif // __FCAPalette_APPUI_H__

